Skip to main content
PATCH
Change Customer Subscription Package

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

packageId
string
required

ID of the Customer Subscription Package to change

Body

application/json
name
string

Name of the subscription package

Example:

"Phone subscription"

description
string

A description of the package, mainly meant for terms and conditions

Example:

"1GB per month, 300min per month"

interval
string

The interval of which the subscription will be extended. Can be 14 days, 1 month, 2 months, 6 months or 1 year.

Example:

"1 year"

amount
string

Amount to be charged in Euro (EUR), as string.

Example:

"12.95"

vatRate
integer

The VAT rate percentage as integer. Can be 0, 9 or 21.

Example:

21

availableForSale
boolean
Example:

true

Response

The changed Customer Subscription Package

Customer Subscription Package

id
string

ID of the subscription package, always starting with spg_.

Example:

"spg_abc12345def678"

name
string

Name of the subscription package

Example:

"Phone subscription"

description
string

A description of the package, mainly meant for terms and conditions

Example:

"1GB per month, 300min per month"

interval
string

The interval of which the subscription will be extended with. Can be 14 days, 1 month, 2 months, 6 months or 1 year.

Example:

"1 year"

currency
string

Currency of the subscription price amount.

Example:

"EUR"

amount
string

Amount value as string.

Example:

"12.95"

vatRate
integer

The VAT rate percentage as integer. Can be 0, 9 or 21.

Example:

21

availableForSale
boolean

Indicates if the package is available for sale in the portal and public page, if enabled

Example:

true